use super::{Room, SimpleRoom};
use serde_yaml::from_str as from_yaml_str;

pub fn room_list() -> Vec<Room> {
    from_yaml_str::<Vec<SimpleRoom<()>>>(include_str!("chonkers.yaml"))
        .unwrap()
        .into_iter()
        .map(|r| r.into())
        .collect()
}
